Berkeley DB version 4.2.52

## com.sleepycat.bdb
Interface TransactionWorker

public interface TransactionWorker

The interface implemented to perform the work within a transaction. To run a transaction, an instance of this interface is passed to the `TransactionRunner.run(com.sleepycat.bdb.TransactionWorker)` method.

Method Summary
`void` `doWork()` Perform the work for a single transaction.

Method Detail

### doWork

    public void doWork()
                throws Exception

  Perform the work for a single transaction.

    `Exception`
  See Also:
    `TransactionRunner.run(com.sleepycat.bdb.TransactionWorker)`

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.